Skip to main content
GET
/
api
/
facilities
Get all facilities
curl --request GET \
  --url https://your-production-domain.com/api/facilities \
  --cookie connect.sid=
[
  {
    "id": 123,
    "name": "<string>",
    "address": "<string>",
    "city": "<string>",
    "state": "<string>",
    "zip": "<string>",
    "phone": "<string>",
    "email": "jsmith@example.com",
    "website": "<string>",
    "licenseNumber": "<string>",
    "bedCount": 123,
    "departments": [
      "<string>"
    ],
    "isActive": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

connect.sid
string
cookie
required

Session-based authentication cookie

Query Parameters

type
enum<string>

Filter by facility type

Available options:
hospital,
clinic,
nursing_home,
assisted_living,
home_health
isActive
boolean

Filter by active status

Response

List of facilities

id
integer

Unique facility identifier

name
string

Facility name

type
enum<string>

Type of healthcare facility

Available options:
hospital,
clinic,
nursing_home,
assisted_living,
home_health
address
string

Facility address

city
string

City

state
string

State

zip
string

ZIP code

phone
string

Primary phone number

email
string<email>

Primary email address

website
string | null

Facility website URL

licenseNumber
string | null

Facility license number

bedCount
integer | null

Number of beds in the facility

departments
string[]

List of departments in the facility

isActive
boolean

Whether the facility is active

createdAt
string<date-time>

Facility creation timestamp

updatedAt
string<date-time>

Last update timestamp